Description

https://answers.splunk.com/answers/495269/slideshow-when-running-slideshow-on-ie-why-does-it.html

History

#1 - 02/12/2017 07:31 PM - Luke Murphey

- Status changed from New to In Progress

#2 - 02/12/2017 07:37 PM - Luke Murphey

Confirmed that Edge seems to do it too.

#3 - 02/12/2017 07:55 PM - Luke Murphey

Observations:

Edge easily gets to 3 GB of memory used for the same show that Chrome hovers around 300 MB

Edge doesn't change pages more than once (see #1741)

#4 - 02/12/2017 07:59 PM - Luke Murphey

To try:

1. Removing the nprogress indicator: no change

2. Removing the overlay: no change

3. Removing the frame control handlers: no change

4. Removing the hide overlay: no change

5. Try collectGarbageForIframe() from http://stackoverflow.com/questions/8407946/is-it-possible-to-use-iframes-in-ie-without-memory-leaks

#5 - 02/12/2017 08:50 PM - Luke Murphey

Wondering if this is a defect in IE and Edge.

https://developer.microsoft.com/en-us/microsoft-edge/platform/issues/1653044/

http://stackoverflow.com/questions/8407946/is-it-possible-to-use-iframes-in-ie-without-memory-leaks

https://developer.microsoft.com/en-us/microsoft-edge/platform/issues/8449104/

#6 - 02/12/2017 08:56 PM - Luke Murphey

Added code to purgeFrame from http://stackoverflow.com/questions/8407946/is-it-possible-to-use-iframes-in-ie-without-memory-leaks.

It stills seem to increase.
#7 - 02/12/2017 08:57 PM - Luke Murphey

https://auth0.com/blog/four-types-of-leaks-in-your-javascript-code-and-how-to-get-rid-of-them/

#8 - 02/12/2017 08:58 PM - Luke Murphey

Might want to disable GPU rendering per https://community.servicenow.com/thread/224646

#9 - 02/13/2017 07:01 AM - Luke Murphey

Frame deletion only happens at the show termination. Perhaps it should be called earlier?
